global_defs {
    notification_email {
       <admin@{{ ansible_fqdn }}>
    }
    notification_email_from "{{ ansible_hostname }} <keepalived@{{ ansible_fqdn }}>"
    smtp_server 127.0.0.1
    smtp_connect_timeout 30
    router_id {{ ansible_hostname }}
}

virtual_server {{ ansible_default_ipv6.address }} 443 {
    delay_loop 6
    lb_algo sh
    lb_kind NAT
    persistence_timeout 50
    protocol TCP

{% for host in groups['acme_servers'] %}
    real_server {{ hostvars[host].ansible_default_ipv6.address }} 443 {
        TCP_CHECK {
            connect_port 443 connect_timeout 3
        }
    }
{% endfor %}
}

virtual_server {{ ansible_default_ipv6.address }} 80 {
    delay_loop 6
    lb_algo wrr
    lb_kind NAT
    persistence_timeout 50
    protocol TCP

{% for host in groups['acme_servers'] %}
    real_server {{ hostvars[host].ansible_default_ipv6.address }} 80 {
        weight 1
        TCP_CHECK {
            connect_port 80 connect_timeout 3
        }
    }
{% endfor %}
}

virtual_server {{ ansible_default_ipv6.address }} 318 {
    delay_loop 6
    lb_algo rr
    lb_kind NAT
    persistence_timeout 50
    protocol TCP

{% for host in groups['acme_servers'] %}
    real_server {{ hostvars[host].ansible_default_ipv6.address }} 318 {
        TCP_CHECK {
            connect_port 318 connect_timeout 3
        }
    }
{% endfor %}
}

